<template>
  <div>
    <v-row>
      <v-col cols="12">
        <v-breadcrumbs :items="items" class="grey lighten-4" large>
          <template v-slot:item="props">
            <v-breadcrumbs-item
              @click="open_breadcum(props.item.href)"
              :class="{
                'breadcums-disabled': props.item.disabled,
                'breadcums-enabled': !props.item.disabled,
              }"
            >
              <v-icon v-show="props.item.icon" left>{{
                props.item.icon
              }}</v-icon>
              {{ breadcumText(props.item.text) }}
            </v-breadcrumbs-item>
          </template>
          <template v-slot:divider>
            <v-icon>mdi-forward</v-icon>
          </template>
        </v-breadcrumbs>
      </v-col>
    </v-row>
    <v-row justify="center" class="pr-6 pl-6">
      <v-col cols="12" xl="6" lg="6" md="6" sm="10" xs="12">
        <v-card elevation="6" class="rounded-xl">
          <v-card-title
            >Monitoring dan Investigasi Pejabat dan Pegawai</v-card-title
          >
          <v-card-text>
            <v-row justify="center">
              <v-col cols="12" align="center">
                <span class="text-body-2"
                  >Monitoring dan Investigasi Pegawai, merupakan inovasi yang di
                  kembangkan dengan tujuan untuk memperkuat pengawasan terhadap
                  para pejabat, pegawai, dan penghulu di lingkungan Kementerian
                  Agama sekaligus menanamkan sikap anti-gratifikasi, anti suap,
                  dan anti korupsi, melalui agen-agen khusus yang telah
                  dipersiapkan dan siap memantau kinerja aparatur Kanwil
                  Kementerian Agama Provinsi Bali</span
                >
              </v-col>
            </v-row>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  name: "internal-notip",
  components: {},
  data: () => ({
    items: [
      {
        text: "Home",
        disabled: false,
        href: "home",
        icon: "mdi-home",
      },
      {
        text: "Layanan Internal",
        disabled: false,
        href: "internal",
      },
      {
        text: "notip",
        disabled: true,
        href: "#",
      },
    ],
  }),
  computed: {},
  mounted() {
    this.$store.dispatch("constant/set_title", "NOTIP");
  },
  methods: {
    open_breadcum(href) {
      if (href === "home") {
        this.$router.replace(`/`);
      } else {
        this.$store.dispatch("constant/set_title", "Layanan Internal");
        this.$router.back();
      }
    },
  },
};
</script>

<style scoped>
</style>
